Novell Home

My Favorites

Close

Please to see your favorites.

Designer 3.5 Install Procedures for SLED 11 & OpenSuSE 11.1

This document (7003965) is provided subject to the disclaimer at the end of this document.

Environment

Novell Designer for Identity Manager 3.5

Situation

During the install of Desinger 3.5, error messages may appear on the following platforms:
  • OpenSuSE 11 32 bit
  • OpenSuse 11.1 32 bit
  • OpenSuse 11 64 bit
  • OpenSuse 11.1 64 bit
  • SuSE Linux Enterprise Desktop (SLED) 11 32 bit
  • SuSE Linux Enterprise Desktop (SLED) 11 64 bit
The errors you may see are listed below:
  • Designer for Identity Manager requires the library /usr/lib/libstdc++-libc6.2-2.so.3
  • Designer for Identity Manager requires the library /usr/lib/libpng.so.3
  • Designer requires the library /usr/lib64/libstdc++.so.5.0.7

Resolution

Preinstallation Procedures

OpenSuSE 11.1 32 bit

Prior to installing Designer 3.5 on OpenSuSE 11.1 32 bit the following packages must be installed:

compat-2008.10.27-1.12.i586.rpm

libpng3-1.2.31-4.23.i586.rpm

compat-libstdc++-5.0.7-121.1.i586.rpm  - This file is from the 11.0 download because a comparable file is not available in the 11.1 download. 

OpenSuSE 11.1 64 bit

Prior to installing Designer 3.5 on OpenSuSE 11.1 64 bit the following package must be installed:

compat-libstdc++-5.0.7-121.1.x86_64.rpm - This file is from the 11.0 download because a comparable file is not available in the 11.1 download. 
SLED 11 32 bit
Prior to installing Designer 3.5 on SLED 11 32 bit the following packages must be installed:
SLED 11 64 bit
Prior to installing Designer 3.5 on SLED 11 64 bit the following packages must be installed:

***Additional Notes***

1. Do not uninstall any existing libraries.

2. After installation when we open the pallete in the error log we do get the info message could not load library: liblocalfile_1_0_0.so.  This library provides platform-specific optimizations for certain file system operations.  This library is not present on all platforms, so this may not be an error.  The resources plug-in will safely fall back to using java.io.File functionality.

3. On OpenSuSE 11.1 64 bit, do not install the libpng package on this OS

4. You may need to force the package to install.  Do this by using the --force in your rpm command. 

ie "rpm --force -ivh <library_name>


Additional Information

Designer 3.5 install on OpenSuse 11.0 both 32 & 64 bit versions have not been fully tested.  However the following packages have been tested by Novell Technical Support and have been found to allow the install to complete.  As these instructions pass system test they will be added to the officially supported section above.
OpenSuSE 11.0 32 bit

Prior to installing Designer 3.5 on OpenSuSE 11.0 32 bit the following packages must be installed:

compat-2008.5.6-6.1.i586.rpm

libpng3-1.2.26-14.1.i586.rpm

OpenSuSE 11.0 64 bit

Prior to installing Designer 3.5 on OpenSuSE 11.0 64 bit the following packages must be installed:

compat-2008.5.6-6.1.x86_64.rpm

libpng3-1.2.26-14.1.i586.rpm
Note: libpng3 64 bit package will not install.  Designer install is looking for the 32 bit package of libpng3. 

Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:7003965
  • Creation Date:23-JUL-09
  • Modified Date:29-APR-13
    • NetIQIdentity Manager

Did this document solve your problem? Provide Feedback